Subject: Re: udhcp problem

From: Grant Likely <[email-masked]>
Date: Mon, 16 May 2005 07:43:59 -0600

On 5/12/05, Atit_Shah <[email-masked]> wrote:
> My configuration is as follows:
>=20
>                         _______________________
>                         |        ROUTER     |
>                         |       ___         ___   |
>                         |_____| |_______| |___|
>                            LAN   WAN
>                                 /\           /\
>                                  |              |
>                    Stand Alone      Company
>                  Windows System    Network
>                            (eth0)       (eth1)
>=20
> I have a udhcp server running on eth0. When I give the command on the
> windows machine "ipconfig /renew", the router assigns an IP address to
> the System in the range 192.168.1.x while the router itself has the IP
> 192.168.1.1 (default). I can ping the router from the system and
> vice-versa.
>=20
> I manually assigned a static IP to eth1 as 172.19.56.x insync with the
> company IP address scheme. I can ping from the router to any other
> system on the network.
>=20
> Now when I try to ping a system or eth1 from the windows machine I get a
> time out. But if I have to manually assign an IP to the windows
> machine(ie not through the udhcp server) I am able to ping eth1 and any
> other system on the network.
>=20
How have you set up routing?  Are you trying to do NAT?  You are
probably going to need to set up some IPTables.  It's more than just a
matter of bringing up both interfaces.  (BTW, congratulations on
getting both ports working now)  Have you read through any of the
networking howtos on linuxdocs.org?

g.